Skip to main content
POST
/
v1
/
billing
/
mobile-receipt
/
validate
Validate a mobile in-app purchase receipt (Apple/Google)
curl --request POST \
  --url http://0.0.0.0:3000/v1/billing/mobile-receipt/validate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "platform": "apple",
  "planId": 2,
  "receiptData": "eyJhbGciOiJFUzI1NiIs..."
}
'
{
  "status": true,
  "data": {
    "id": 12,
    "plan_id": 2,
    "gateway_provider": "apple",
    "status": "active"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.unicontrol.me/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
platform
enum<string>
required

Mobile gateway provider

Available options:
apple
planId
number
required

Internal plan ID

receiptData
string
required

JWS signedTransaction returned by StoreKit 2

Response

Subscription created or updated